# ![img](/src/img/logo.png) Share Freedom - browser extension

Share the current tab on the [fediverse](https://fediverse.party/).

[![Firefox Add-on](/src/img/badge-amo.png)](https://addons.mozilla.org/en-US/firefox/addon/share-freedom/) 


## Features

Simplest add-on for the fediverse. Share web pages right from the toolbar button.

Supported services/protocols:
- Gnusocial
- Mastodon / Misskey
- Hubzilla
- Diaspora
- Friendica
- Socialhome
- Lemmy
- Pleroma
- Osada / Zap / Zot6
- XMPP


## Screenshots

![img](/src/img/screenshot-1.png)
![img](/src/img/screenshot-2.png)
![img](/src/img/screenshot-3.png)


## Build

You need Node.js/npm

`npm install` then

`npm install --global web-ext`

Use the next command to generate the package (.zip file)

`web-ext build`

See [web-ext page](https://extensionworkshop.com/documentation/develop/getting-started-with-web-ext/).

**Optional:** Add-ons Linter by Mozilla

`npm install -g addons-linter`

See [repo](https://github.com/mozilla/addons-linter).


## Contributing

You can contribute in the following ways:

-   Finding and reporting bugs
-   Contributing code to the project by fixing bugs or implementing features


### Bug reports

Bug reports and feature suggestions can be submitted to [Gitlab Issues](https://gitlab.com/mickie1/share-freedom-extension/issues). Please make sure that you are not submitting duplicates, and that a similar report or request has not already been resolved or rejected in the past using the search function. Please also use descriptive, concise titles.


### Pull request

Please use clean, concise titles for your pull requests.


## Invite an ice cream

You can collaborate with __donations__ for the project :)

__Bitcoins:__ bc1qf7v8zty2yz8phulet29wcpxjclvffn5w6ry43w

__Ethereum:__ 0xca2FD9C3834694E2cB3db3bf79b3AfB083bA6732

![](/src/img/ice-cream.png)
[CC-BY 4.0 by Vincent Le Moign](https://commons.wikimedia.org/wiki/File:552-soft-ice-cream-2.svg)


## License

This program is licensed under GPL v3

Copyleft (ɔ) 2021 - Miguel (mickie)

See LICENSE file for more information.

